# addProvider

abstract fun <T, U : ExternalModuleDependency?> addProvider(configurationName: String, dependencyNotation: Provider<T>, configuration: Action<in U>)

Adds a dependency provider to the given configuration, eventually configures the dependency using the given action.

#### Since

6.8

#### Parameters

configurationName

The name of the configuration.

dependencyNotation

The dependency provider notation, in one of the notations described above.

configuration

The action to use to configure the dependency.

abstract fun <T> addProvider(configurationName: String, dependencyNotation: Provider<T>)

Adds a dependency provider to the given configuration.

#### Since

7.0

#### Parameters

configurationName

The name of the configuration.

dependencyNotation

The dependency provider notation, in one of the notations described above.